import { Component, OnInit, Input, EventEmitter, Output } from '@angular/core';
import { Router } from '@angular/router';

// Importe für eigene Klassen
import { Flug } from '../Modell/Flug'
import { FlugService } from '../Services/FlugService'

@Component({
 selector: 'Flugdetail',
 templateUrl: 'App/Flugdetail/Flugdetail.html'
})
export class Flugdetail implements OnInit {

 @Input() // eingehende Daten
 flug: Flug;

 @Output() // ausgehende Ereignisse
 flugGeloeschtEvent = new EventEmitter();

 constructor(private flugService: FlugService, private router: Router) { }

 ngOnInit() {
 }

 Loeschen() {

  this.flugService.delete(this.flug); // Flug löschen
 console.log("->flugGeloeschtEvent!") ; 
  this.flugGeloeschtEvent.emit(this.flug); // Ereignis auslösen
 }

 Aendern() {
  let link = ['/edit', this.flug.FlugNr];
  this.router.navigate(link);
 }
}